
locals {
  allocated_storage = var.allocated_storage
  allow_major_version_upgrade = var.allow_major_version_upgrade
  apply_immediately = var.apply_immediately
  auto_minor_version_upgrade = var.auto_minor_version_upgrade
  autoscaling_enabled = var.autoscaling_enabled
  autoscaling_max_capacity = var.autoscaling_max_capacity
  autoscaling_min_capacity = var.autoscaling_min_capacity
  autoscaling_policy_name = var.autoscaling_policy_name
  autoscaling_scale_in_cooldown = var.autoscaling_scale_in_cooldown
  autoscaling_scale_out_cooldown = var.autoscaling_scale_out_cooldown
  autoscaling_target_connections = var.autoscaling_target_connections
  autoscaling_target_cpu = var.autoscaling_target_cpu
  availability_zones = var.availability_zones
  backtrack_window = var.backtrack_window
  backup_retention_period = var.backup_retention_period
  ca_cert_identifier = var.ca_cert_identifier
  cloudwatch_log_group_class = var.cloudwatch_log_group_class
  cloudwatch_log_group_kms_key_id = var.cloudwatch_log_group_kms_key_id
  cloudwatch_log_group_retention_in_days = var.cloudwatch_log_group_retention_in_days
  cloudwatch_log_group_skip_destroy = var.cloudwatch_log_group_skip_destroy
  cluster_members = var.cluster_members
  cluster_tags = var.cluster_tags
  cluster_timeouts = var.cluster_timeouts
  cluster_use_name_prefix = var.cluster_use_name_prefix
  copy_tags_to_snapshot = var.copy_tags_to_snapshot
  create = var.create
  create_cloudwatch_log_group = var.create_cloudwatch_log_group
  create_db_cluster_activity_stream = var.create_db_cluster_activity_stream
  create_db_cluster_parameter_group = var.create_db_cluster_parameter_group
  create_db_parameter_group = var.create_db_parameter_group
  create_db_subnet_group = var.create_db_subnet_group
  create_monitoring_role = var.create_monitoring_role
  create_security_group = var.create_security_group
  database_name = var.database_name
  db_cluster_activity_stream_kms_key_id = var.db_cluster_activity_stream_kms_key_id
  db_cluster_activity_stream_mode = var.db_cluster_activity_stream_mode
  db_cluster_db_instance_parameter_group_name = var.db_cluster_db_instance_parameter_group_name
  db_cluster_instance_class = var.db_cluster_instance_class
  db_cluster_parameter_group_description = var.db_cluster_parameter_group_description
  db_cluster_parameter_group_family = var.db_cluster_parameter_group_family
  db_cluster_parameter_group_name = var.db_cluster_parameter_group_name
  db_cluster_parameter_group_parameters = var.db_cluster_parameter_group_parameters
  db_cluster_parameter_group_use_name_prefix = var.db_cluster_parameter_group_use_name_prefix
  db_parameter_group_description = var.db_parameter_group_description
  db_parameter_group_family = var.db_parameter_group_family
  db_parameter_group_name = var.db_parameter_group_name
  db_parameter_group_parameters = var.db_parameter_group_parameters
  db_parameter_group_use_name_prefix = var.db_parameter_group_use_name_prefix
  db_subnet_group_name = var.db_subnet_group_name
  delete_automated_backups = var.delete_automated_backups
  deletion_protection = var.deletion_protection
  domain = var.domain
  domain_iam_role_name = var.domain_iam_role_name
  enable_global_write_forwarding = var.enable_global_write_forwarding
  enable_http_endpoint = var.enable_http_endpoint
  enable_local_write_forwarding = var.enable_local_write_forwarding
  enabled_cloudwatch_logs_exports = var.enabled_cloudwatch_logs_exports
  endpoints = var.endpoints
  engine = var.engine
  engine_mode = var.engine_mode
  engine_native_audit_fields_included = var.engine_native_audit_fields_included
  engine_version = var.engine_version
  final_snapshot_identifier = var.final_snapshot_identifier
  global_cluster_identifier = var.global_cluster_identifier
  iam_database_authentication_enabled = var.iam_database_authentication_enabled
  iam_role_description = var.iam_role_description
  iam_role_force_detach_policies = var.iam_role_force_detach_policies
  iam_role_managed_policy_arns = var.iam_role_managed_policy_arns
  iam_role_max_session_duration = var.iam_role_max_session_duration
  iam_role_name = var.iam_role_name
  iam_role_path = var.iam_role_path
  iam_role_permissions_boundary = var.iam_role_permissions_boundary
  iam_role_use_name_prefix = var.iam_role_use_name_prefix
  iam_roles = var.iam_roles
  instance_class = var.instance_class
  instance_timeouts = var.instance_timeouts
  instances = var.instances
  instances_use_identifier_prefix = var.instances_use_identifier_prefix
  iops = var.iops
  is_primary_cluster = var.is_primary_cluster
  kms_key_id = var.kms_key_id
  manage_master_user_password = var.manage_master_user_password
  manage_master_user_password_rotation = var.manage_master_user_password_rotation
  master_password = var.master_password
  master_user_password_rotate_immediately = var.master_user_password_rotate_immediately
  master_user_password_rotation_automatically_after_days = var.master_user_password_rotation_automatically_after_days
  master_user_password_rotation_duration = var.master_user_password_rotation_duration
  master_user_password_rotation_schedule_expression = var.master_user_password_rotation_schedule_expression
  master_user_secret_kms_key_id = var.master_user_secret_kms_key_id
  master_username = var.master_username
  monitoring_interval = var.monitoring_interval
  monitoring_role_arn = var.monitoring_role_arn
  name = var.name
  network_type = var.network_type
  performance_insights_enabled = var.performance_insights_enabled
  performance_insights_kms_key_id = var.performance_insights_kms_key_id
  performance_insights_retention_period = var.performance_insights_retention_period
  port = var.port
  predefined_metric_type = var.predefined_metric_type
  preferred_backup_window = var.preferred_backup_window
  preferred_maintenance_window = var.preferred_maintenance_window
  publicly_accessible = var.publicly_accessible
  putin_khuylo = var.putin_khuylo
  replication_source_identifier = var.replication_source_identifier
  restore_to_point_in_time = var.restore_to_point_in_time
  s3_import = var.s3_import
  scaling_configuration = var.scaling_configuration
  security_group_description = var.security_group_description
  security_group_name = var.security_group_name
  security_group_rules = var.security_group_rules
  security_group_tags = var.security_group_tags
  security_group_use_name_prefix = var.security_group_use_name_prefix
  serverlessv2_scaling_configuration = var.serverlessv2_scaling_configuration
  skip_final_snapshot = var.skip_final_snapshot
  snapshot_identifier = var.snapshot_identifier
  source_region = var.source_region
  storage_encrypted = var.storage_encrypted
  storage_type = var.storage_type
  subnets = var.subnets
  tags = var.tags
  vpc_id = var.vpc_id
  vpc_security_group_ids = var.vpc_security_group_ids
}
